<?php

class Question
{
    private int $id;
    private string $content;
    private int $difficulty;
    private int $nbFails;

    public function __construct(int $id, string $content, int $difficulty = 1, int $nbFails = 0)
    {
        $this->id = $id;
        $this->content = $content;
        $this->difficulty = $difficulty;
        $this->nbFails = $nbFails;
    }

    public function getContent()
    {
        return $this->content;
    }
    public function setContent(string $content)
    {
        $this->content = $content;
    }

    public function getDifficulty()
    {
        return $this->difficulty;
    }
    public function setDifficulty(int $difficulty)
    {
        $this->difficulty = $difficulty;
    }

    public function getNbFails()
    {
        return $this->nbFails;
    }
    public function setNbFails(int $nbFails)
    {
        $this->nbFails = $nbFails;
    }
}
